apiVersion: apiregistration.k8s.io/v1
kind: APIService
metadata:
  name: v1alpha1.{{ .Values.groupName }}
  labels:
    app: {{ include "cert-manager-webhook-ovh.name" . }}
    chart: {{ include "cert-manager-webhook-ovh.chart" . }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
  annotations: 
    cert-manager.io/inject-ca-from: "{{ .Release.Namespace }}/{{ include "cert-manager-webhook-ovh.servingCertificate" . }}"
spec:
  group: {{ .Values.groupName }}
  groupPriorityMinimum: 1000
  versionPriority: 15
  service:
    name: {{ include "cert-manager-webhook-ovh.fullname" . }}
    namespace: {{ .Release.Namespace }}
  version: v1alpha1
